#!/bin/bash

set -e

echo "BUILDING KERNEL..."

IMAGETYPE=zImage
LDA=0x70008000

rm -f zImage-with-dtb uImage-with-dtb
make LOADADDR=$LDA $IMAGETYPE dtbs

cat arch/arm/boot/$IMAGETYPE arch/arm/boot/dts/nxp/imx/imx53-amxtablet.dtb > zImage-with-dtb
mkimage -A arm -O linux -T kernel -C none -a $LDA -e $LDA -n "Linux kernel" -d zImage-with-dtb uImage-with-dtb


echo "BUILDING INITRAMFS..."
RD_LDA=0x71008000 #+16M from kernel
mkimage -n 'Ramdisk Image' -A arm -O linux -T ramdisk -C gzip -d distro/initramfs-lts.cpio -a $RD_LDA initramfs.uImage


#make INSTALL_MOD_PATH=_install modules_install
