__heap_size  = 0x80;
__stack_size = 0x80;

MEMORY
{
	ROM (rwx) : ORIGIN = 0x72000000, LENGTH = 0x1000
	RAM (rwx) : ORIGIN = 0x73000000, LENGTH = 0x1000
}
SECTIONS
{
	.text :
	{
		*(.boot)
		*(.text)
		*(.text)
		*(.rodata*)
	} > ROM
	.data :
	{
		*(.sbss)
		*(.data)
		*(.bss)
		*(.rela*)
		*(COMMON)
	} > RAM

	.heap :
	{
		. = ALIGN(4);
		PROVIDE ( end = . );
		_sheap = .;
		. = . + __heap_size;
		. = ALIGN(4);
		_eheap = .;
	} >RAM

	.stack :
	{
		. = ALIGN(4);
		_estack = .;
		. = . + __stack_size;
		. = ALIGN(4);
		_sstack = .;
	} >RAM
}
